/********************************************************************************
********************************************************************************/

#ifndef STLAUNCHDIALOG_H
#define STLAUNCHDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGroupBox>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>

//QT_BEGIN_NAMESPACE

class StLaunchDialog : public QDialog
{
  Q_OBJECT

public:
   StLaunchDialog();

public slots:
    virtual void setParams( int lsx, double lat, double lng, bool lsouth, double tmeco );
    virtual void getParams( int & lsx, double & lat, double & lng, bool & lsouth, double & tmeco );
    virtual void siteSlot();

private:
    QLabel *textLabel1;
    QLineEdit *latEdit;
    QLineEdit *lngEdit;
    QLabel *textLabel3;
    QLabel *textLabel4;
    QGroupBox *buttonGroup1;
    QRadioButton *southButton;
    QRadioButton *northButton;
    QLabel *textLabel5;
    QLineEdit *mecoEdit;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QLabel *textLabel6;
    QComboBox *siteBox;
};
#endif // STLAUNCHDIALOG_H
