/********************************************************************************
********************************************************************************/

#ifndef STPASSDIALOG_H
#define STPASSDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QTextEdit>

//QT_BEGIN_NAMESPACE

class StPassDialog : public QDialog
{
  Q_OBJECT

public:
   StPassDialog();

public slots:
    virtual void setParams( int fsz );
    virtual void saveSlot();
    virtual void gtrackSlot();

private:
    QTextEdit *passEdit;
    QPushButton *closeButton;
    QPushButton *saveButton;
    QPushButton *gtrackButton;
};
#endif // STPASSDIALOG_H
