/********************************************************************************
********************************************************************************/

#ifndef STREMSATDIALOG_H
#define STREMSATDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class StRemSatDialog : public QDialog
{
  Q_OBJECT

public:
   StRemSatDialog();

public slots:
    virtual void setParams( int satnr );
    virtual void getParams( bool * sats );

private:
    QPushButton *okButton;
    QPushButton *cancelButton;
    QCheckBox *checkBox1;
    QCheckBox *checkBox2;
    QCheckBox *checkBox3;
    QCheckBox *checkBox4;
    QLineEdit *lineEdit1;
    QLineEdit *lineEdit2;
    QLineEdit *lineEdit3;
    QLineEdit *lineEdit4;
    QLineEdit *lineEdit5;
    QCheckBox *checkBox5;
    QCheckBox *checkBox6;
    QCheckBox *checkBox7;
    QCheckBox *checkBox8;
    QCheckBox *checkBox9;
    QCheckBox *checkBox10;
    QLabel *textLabel1;
    QLineEdit *lineEdit6;
    QLineEdit *lineEdit7;
    QLineEdit *lineEdit8;
    QLineEdit *lineEdit9;
    QLineEdit *lineEdit10;

};

#endif // STREMSATDIALOG_H
