/********************************************************************************
********************************************************************************/

#ifndef STSELSATDIALOG_H
#define STSELSATDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QTextEdit>

//QT_BEGIN_NAMESPACE

class StSelSatDialog : public QDialog
{
  Q_OBJECT

public:
   StSelSatDialog();

public slots:
    virtual void setParams();
    virtual void dSatList();
    virtual void selectSlot();
    virtual void moreSlot();
    virtual void newsSlot();
    virtual void findSlot();
    virtual void idsnSlot();
    virtual void noradSlot();
    virtual void dSatInfo( const QString s1 );

private:
    QTextEdit *satinfEdit;
    QPushButton *closeButton;
    QPushButton *newButton;
    QPushButton *findButton;
    QPushButton *moreButton;
    QPushButton *selectButton;
    QLineEdit *noradEdit;
    QLabel *textLabel4;
    QCheckBox *noradBox;
    QLineEdit *satnameEdit;
    QCheckBox *idsnBox;
    QLabel *nameLabel;

};

#endif // STSELSATDIALOG_H
