/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stswitchdialog.h"
#include "satcalview.h"

StSwitchDialog::StSwitchDialog()
{
        setObjectName(QString::fromUtf8("StSwitchDialog"));
        resize(368, 413);
        buttonGroup1 = new QGroupBox(this);
        buttonGroup1->setObjectName(QString::fromUtf8("buttonGroup1"));
        buttonGroup1->setGeometry(QRect(20, 30, 320, 310));
     // ####   buttonGroup1->setOrientation(Qt::Vertical);
        satButton1 = new QRadioButton(buttonGroup1);
        satButton1->setObjectName(QString::fromUtf8("satButton1"));
        satButton1->setGeometry(QRect(11, 22, 298, 21));
        satButton2 = new QRadioButton(buttonGroup1);
        satButton2->setObjectName(QString::fromUtf8("satButton2"));
        satButton2->setGeometry(QRect(11, 49, 298, 21));
        satButton3 = new QRadioButton(buttonGroup1);
        satButton3->setObjectName(QString::fromUtf8("satButton3"));
        satButton3->setGeometry(QRect(11, 76, 298, 21));
        satButton4 = new QRadioButton(buttonGroup1);
        satButton4->setObjectName(QString::fromUtf8("satButton4"));
        satButton4->setGeometry(QRect(11, 103, 298, 21));
        satButton5 = new QRadioButton(buttonGroup1);
        satButton5->setObjectName(QString::fromUtf8("satButton5"));
        satButton5->setGeometry(QRect(11, 130, 298, 21));
        satButton6 = new QRadioButton(buttonGroup1);
        satButton6->setObjectName(QString::fromUtf8("satButton6"));
        satButton6->setGeometry(QRect(11, 157, 298, 21));
        satButton7 = new QRadioButton(buttonGroup1);
        satButton7->setObjectName(QString::fromUtf8("satButton7"));
        satButton7->setGeometry(QRect(11, 184, 298, 21));
        satButton8 = new QRadioButton(buttonGroup1);
        satButton8->setObjectName(QString::fromUtf8("satButton8"));
        satButton8->setGeometry(QRect(11, 211, 298, 21));
        satButton9 = new QRadioButton(buttonGroup1);
        satButton9->setObjectName(QString::fromUtf8("satButton9"));
        satButton9->setGeometry(QRect(11, 238, 298, 21));
        satButton10 = new QRadioButton(buttonGroup1);
        satButton10->setObjectName(QString::fromUtf8("satButton10"));
        satButton10->setGeometry(QRect(11, 265, 298, 21));
        relativeBox = new QCheckBox(this);
        relativeBox->setObjectName(QString::fromUtf8("relativeBox"));
        relativeBox->setGeometry(QRect(31, 360, 180, 21));
        closeButton = new QPushButton(this);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(241, 355, 80, 29));

        connect(closeButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("StSwitchDialog", "Select Prime Satellite", 0, QApplication::UnicodeUTF8));
        buttonGroup1->setTitle(QApplication::translate("StSwitchDialog", "selected satellites:", 0, QApplication::UnicodeUTF8));
        satButton1->setText(QApplication::translate("StSwitchDialog", "&1", 0, QApplication::UnicodeUTF8));
        satButton1->setShortcut(QApplication::translate("StSwitchDialog", "Alt+1", 0, QApplication::UnicodeUTF8));
        satButton2->setText(QApplication::translate("StSwitchDialog", "&2", 0, QApplication::UnicodeUTF8));
        satButton2->setShortcut(QApplication::translate("StSwitchDialog", "Alt+2", 0, QApplication::UnicodeUTF8));
        satButton3->setText(QApplication::translate("StSwitchDialog", "&3", 0, QApplication::UnicodeUTF8));
        satButton3->setShortcut(QApplication::translate("StSwitchDialog", "Alt+3", 0, QApplication::UnicodeUTF8));
        satButton4->setText(QApplication::translate("StSwitchDialog", "&4", 0, QApplication::UnicodeUTF8));
        satButton4->setShortcut(QApplication::translate("StSwitchDialog", "Alt+4", 0, QApplication::UnicodeUTF8));
        satButton5->setText(QApplication::translate("StSwitchDialog", "&5", 0, QApplication::UnicodeUTF8));
        satButton5->setShortcut(QApplication::translate("StSwitchDialog", "Alt+5", 0, QApplication::UnicodeUTF8));
        satButton6->setText(QApplication::translate("StSwitchDialog", "&6", 0, QApplication::UnicodeUTF8));
        satButton6->setShortcut(QApplication::translate("StSwitchDialog", "Alt+6", 0, QApplication::UnicodeUTF8));
        satButton7->setText(QApplication::translate("StSwitchDialog", "&7", 0, QApplication::UnicodeUTF8));
        satButton7->setShortcut(QApplication::translate("StSwitchDialog", "Alt+7", 0, QApplication::UnicodeUTF8));
        satButton8->setText(QApplication::translate("StSwitchDialog", "&8", 0, QApplication::UnicodeUTF8));
        satButton8->setShortcut(QApplication::translate("StSwitchDialog", "Alt+8", 0, QApplication::UnicodeUTF8));
        satButton9->setText(QApplication::translate("StSwitchDialog", "&9", 0, QApplication::UnicodeUTF8));
        satButton9->setShortcut(QApplication::translate("StSwitchDialog", "Alt+9", 0, QApplication::UnicodeUTF8));
        satButton10->setText(QApplication::translate("StSwitchDialog", "1&0", 0, QApplication::UnicodeUTF8));
        satButton10->setShortcut(QApplication::translate("StSwitchDialog", "Alt+0", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        relativeBox->setToolTip(QApplication::translate("StSwitchDialog", "Show relative satellite positions", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        relativeBox->setWhatsThis(QApplication::translate("StSwitchDialog", "If marked the relative position of the prime satellite with regard to the one following in the list will be shown and considered in AOS calculation etc.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        relativeBox->setText(QApplication::translate("StSwitchDialog", "&Relative Satellite Mode", 0, QApplication::UnicodeUTF8));
        relativeBox->setShortcut(QApplication::translate("StSwitchDialog", "Alt+R", 0, QApplication::UnicodeUTF8));
        closeButton->setText(QApplication::translate("StSwitchDialog", "&Close", 0, QApplication::UnicodeUTF8));
        closeButton->setShortcut(QApplication::translate("StSwitchDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};

void StSwitchDialog::setParams( int prs, int rlm, int satn )
{
 QString s;
 
 if (rlm == 1) relativeBox->setChecked(true);
 else relativeBox->setChecked(false);
 if (prs == 0) satButton1->setChecked(true);
 if (prs == 1) satButton2->setChecked(true);
 if (prs == 2) satButton3->setChecked(true);
 if (prs == 3) satButton4->setChecked(true);
 if (prs == 4) satButton5->setChecked(true);
 if (prs == 5) satButton6->setChecked(true);
 if (prs == 6) satButton7->setChecked(true); 
 if (prs == 7) satButton8->setChecked(true);
 if (prs == 8) satButton9->setChecked(true);
 if (prs == 9) satButton10->setChecked(true);

if (satn < 1)
  {
    satButton1->setEnabled(false);
    satButton1->hide();
  }
 else satButton1->setText("&1 " + vsSatName(1));
 if (satn < 2)
  {
    satButton2->setEnabled(false);
    satButton2->hide();
  }
 else satButton2->setText("&2 " + vsSatName(2));
 if (satn < 3)
  {
    satButton3->setEnabled(false);
    satButton3->hide();
  }
 else satButton3->setText("&3 " + vsSatName(3));
 if (satn < 4)
  {
    satButton4->setEnabled(false);
    satButton4->hide();
  }
 else satButton4->setText("&4 " + vsSatName(4));
 if (satn < 5)
  {
    satButton5->setEnabled(false);
    satButton5->hide();
  }
 else satButton5->setText("&5 " + vsSatName(5));
 if (satn < 6)
  {
    satButton6->setEnabled(false);
    satButton6->hide();
  }
 else satButton6->setText("&6 " + vsSatName(6));
 if (satn < 7)
  {
    satButton7->setEnabled(false);
    satButton7->hide();
  }
 else satButton7->setText("&7 " + vsSatName(7));
 if (satn < 8)
  {
    satButton8->setEnabled(false);
    satButton8->hide();
  }
 else satButton8->setText("&8 " + vsSatName(8));
 if (satn < 9)
  {
    satButton9->setEnabled(false);
    satButton9->hide();
  }
 else satButton9->setText("&9 " + vsSatName(9));
 if (satn < 10)
  {
    satButton10->setEnabled(false);
    satButton10->hide();
  }
 else satButton10->setText("1&0 " + vsSatName(10));
}

void StSwitchDialog::getParams( int &prs, int &rlm )
{
 if(relativeBox->isChecked()) rlm = 1;
 else rlm = 0;
 prs = 0;
 if (satButton2->isChecked()) prs = 1;
 if (satButton3->isChecked()) prs = 2;
 if (satButton4->isChecked()) prs = 3;
 if (satButton5->isChecked()) prs = 4;
 if (satButton6->isChecked()) prs = 5;
 if (satButton7->isChecked()) prs = 6;
 if (satButton8->isChecked()) prs = 7;
 if (satButton9->isChecked()) prs = 8;
 if (satButton10->isChecked()) prs = 9;
}
