/********************************************************************************
********************************************************************************/

#ifndef STADJDIALOG_H
#define STADJDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class StAdjDialog : public QDialog
{
  Q_OBJECT

public:
  StAdjDialog();

public slots:
    virtual void setParams( bool sdp4, bool adjflg, double adjtim, double adjn0, double adjra, int wgs );
    virtual void getParams( bool & sdp4, bool & adjflg, double & adjtim, double & adjn0, double & adjra, int & wgs );

private:
    QPushButton *cancelButton;
    QPushButton *okButton;
    QCheckBox *adjBox;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QLabel *textLabel3;
    QLineEdit *n0Edit;
    QLineEdit *timEdit;
    QLineEdit *raEdit;
    QCheckBox *sdp4Box;
    QCheckBox *wgsBox;

};

#endif // STADJDIALOG_H
