/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stdatedialog.h"

StDateDialog::StDateDialog()
{
        setObjectName(QString::fromUtf8("StDateDialog"));
        resize(265, 319);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(20, 10, 70, 20));
        textLabel1->setWordWrap(false);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(20, 30, 61, 24));
        monthEdit = new QLineEdit(this);
        monthEdit->setObjectName(QString::fromUtf8("monthEdit"));
        monthEdit->setGeometry(QRect(100, 30, 61, 24));
        dayEdit = new QLineEdit(this);
        dayEdit->setObjectName(QString::fromUtf8("dayEdit"));
        dayEdit->setGeometry(QRect(180, 30, 61, 24));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(100, 10, 70, 20));
        textLabel2->setWordWrap(false);
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(180, 10, 70, 20));
        textLabel3->setWordWrap(false);
        textLabel4 = new QLabel(this);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setGeometry(QRect(20, 60, 70, 20));
        textLabel4->setWordWrap(false);
        textLabel5 = new QLabel(this);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setGeometry(QRect(100, 60, 70, 20));
        textLabel5->setWordWrap(false);
        hourEdit = new QLineEdit(this);
        hourEdit->setObjectName(QString::fromUtf8("hourEdit"));
        hourEdit->setGeometry(QRect(20, 80, 61, 24));
        minEdit = new QLineEdit(this);
        minEdit->setObjectName(QString::fromUtf8("minEdit"));
        minEdit->setGeometry(QRect(100, 80, 61, 24));
        secEdit = new QLineEdit(this);
        secEdit->setObjectName(QString::fromUtf8("secEdit"));
        secEdit->setGeometry(QRect(180, 80, 61, 24));
        textLabel7 = new QLabel(this);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setGeometry(QRect(180, 60, 70, 20));
        textLabel7->setWordWrap(false);
        systemBox = new QCheckBox(this);
        systemBox->setObjectName(QString::fromUtf8("systemBox"));
        systemBox->setGeometry(QRect(20, 120, 181, 20));
        textLabel8 = new QLabel(this);
        textLabel8->setObjectName(QString::fromUtf8("textLabel8"));
        textLabel8->setGeometry(QRect(20, 150, 251, 20));
        textLabel8->setWordWrap(false);
        tzoneEdit = new QLineEdit(this);
        tzoneEdit->setObjectName(QString::fromUtf8("tzoneEdit"));
        tzoneEdit->setGeometry(QRect(20, 170, 61, 24));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(170, 190, 71, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(170, 230, 71, 29));
        textLabel9 = new QLabel(this);
        textLabel9->setObjectName(QString::fromUtf8("textLabel9"));
        textLabel9->setGeometry(QRect(20, 200, 131, 20));
        textLabel9->setWordWrap(false);
        durEdit = new QLineEdit(this);
        durEdit->setObjectName(QString::fromUtf8("durEdit"));
        durEdit->setGeometry(QRect(20, 220, 81, 24));
        textLabel2_2 = new QLabel(this);
        textLabel2_2->setObjectName(QString::fromUtf8("textLabel2_2"));
        textLabel2_2->setGeometry(QRect(20, 260, 151, 20));
        textLabel2_2->setWordWrap(false);
        rtEdit = new QLineEdit(this);
        rtEdit->setObjectName(QString::fromUtf8("rtEdit"));
        rtEdit->setGeometry(QRect(20, 280, 91, 24));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(yearEdit);
        textLabel2->setBuddy(monthEdit);
        textLabel3->setBuddy(dayEdit);
        textLabel4->setBuddy(hourEdit);
        textLabel5->setBuddy(minEdit);
        textLabel7->setBuddy(secEdit);
        textLabel8->setBuddy(tzoneEdit);
        textLabel9->setBuddy(durEdit);
        textLabel2_2->setBuddy(rtEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(yearEdit, monthEdit);
        QWidget::setTabOrder(monthEdit, dayEdit);
        QWidget::setTabOrder(dayEdit, hourEdit);
        QWidget::setTabOrder(hourEdit, minEdit);
        QWidget::setTabOrder(minEdit, secEdit);
        QWidget::setTabOrder(secEdit, systemBox);
        QWidget::setTabOrder(systemBox, tzoneEdit);
        QWidget::setTabOrder(tzoneEdit, durEdit);
        QWidget::setTabOrder(durEdit, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(systemBox, SIGNAL(toggled(bool)),this,SLOT(systemSlot()));

        setWindowTitle(QApplication::translate("StDateDialog", "Date, Time and Timezone", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("StDateDialog", "&Year:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("StDateDialog", "&Month:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("StDateDialog", "&Day:", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("StDateDialog", "&Hours:", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("StDateDialog", "&Minutes:", 0, QApplication::UnicodeUTF8));
        textLabel7->setText(QApplication::translate("StDateDialog", "&Seconds:", 0, QApplication::UnicodeUTF8));
        systemBox->setText(QApplication::translate("StDateDialog", "Use S&ystem Timezone", 0, QApplication::UnicodeUTF8));
        systemBox->setShortcut(QApplication::translate("StDateDialog", "Alt+Y", 0, QApplication::UnicodeUTF8));
        textLabel8->setText(QApplication::translate("StDateDialog", "&Timezone (positive East, negative West):", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StDateDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StDateDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StDateDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StDateDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel9->setToolTip(QApplication::translate("StDateDialog", "Intervall used for calculations", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel9->setWhatsThis(QApplication::translate("StDateDialog", "During this intervall AOS times etc will be calculated or next passes considered. This is also the intervall for Delta-Time plots.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel9->setText(QApplication::translate("StDateDialog", "D&uration (in days):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel2_2->setToolTip(QApplication::translate("StDateDialog", "RealTime clock offset in hours.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel2_2->setWhatsThis(QApplication::translate("StDateDialog", "The displayed RealTime will be offset by that many hours from the system clock. Useful for simulations etc.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel2_2->setText(QApplication::translate("StDateDialog", "&R/T Offset (in hours)", 0, QApplication::UnicodeUTF8));

};

void StDateDialog::systemSlot()
{
 if (systemBox->isChecked()) tzoneEdit->setEnabled(false);
 else tzoneEdit->setEnabled(true);
}


void StDateDialog::setParams( int year, int month, int day, int hour, int minute, int second, double tzone, int tzauto, double dur, double rtoff )
{
 QString s;
 double durs;
 
 s.setNum(year);
 yearEdit->setText(s);
 s.setNum(month);
 monthEdit->setText(s);
 s.setNum(day);
 dayEdit->setText(s);
 s.setNum(hour);
 hourEdit->setText(s);
 s.setNum(minute);
 minEdit->setText(s);
 s.setNum(second);
 secEdit->setText(s);
 s.setNum(tzone);
 tzoneEdit->setText(s);
 durs = dur;
 if (dur < 0) durs = -durs;
 s.setNum(durs);
 durEdit->setText(s);
 if (dur < 0) durEdit->setEnabled(false);
 s.setNum(rtoff);
 rtEdit->setText(s);
 if (dur < 0) rtEdit->setEnabled(false);
 
 if (tzauto) systemBox->setChecked(true);
 else systemBox->setChecked(false);
 
 systemSlot();
}


void StDateDialog::getParams( int &year, int &month, int &day, int &hour, int &minute, int &second, double &tzone, int &tzauto, double &dur, double &rtoff )
{
 QString s;

  s=yearEdit->text();
  year = s.toInt();
  s=monthEdit->text();
  month = s.toInt();
  s=dayEdit->text();
  day = s.toInt();
  s=hourEdit->text();
  hour = s.toInt();
  s=minEdit->text();
  minute = s.toInt();
  s=secEdit->text();
  second = s.toInt();
  s=tzoneEdit->text();
  tzone = s.toDouble();
  s=durEdit->text();
  dur = s.toDouble();
  s=rtEdit->text();
  rtoff = s.toDouble();
  
  if (systemBox->isChecked()) tzauto = 1;
  else tzauto = 0;
}

