/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stmapdialog.h"

bool stmpphwm;

StMapDialog::StMapDialog()
{
        setObjectName(QString::fromUtf8("StMapDialog"));
        resize(537, 402);
        backGroup = new QGroupBox(this);
        backGroup->setObjectName(QString::fromUtf8("backGroup"));
        backGroup->setGeometry(QRect(400, 20, 110, 160));
      // ######  backGroup->setOrientation(Qt::Vertical);
        greyButton = new QRadioButton(backGroup);
        greyButton->setObjectName(QString::fromUtf8("greyButton"));
        greyButton->setGeometry(QRect(10, 70, 80, 21));
        whiteButton = new QRadioButton(backGroup);
        whiteButton->setObjectName(QString::fromUtf8("whiteButton"));
        whiteButton->setGeometry(QRect(10, 30, 80, 21));
        blackButton = new QRadioButton(backGroup);
        blackButton->setObjectName(QString::fromUtf8("blackButton"));
        blackButton->setGeometry(QRect(10, 110, 80, 21));
        gridGroup = new QGroupBox(this);
        gridGroup->setObjectName(QString::fromUtf8("gridGroup"));
        gridGroup->setGeometry(QRect(30, 20, 160, 160));
      // #####  gridGroup->setOrientation(Qt::Vertical);
        gnoButton = new QRadioButton(gridGroup);
        gnoButton->setObjectName(QString::fromUtf8("gnoButton"));
        gnoButton->setGeometry(QRect(10, 110, 140, 21));
        g30Button = new QRadioButton(gridGroup);
        g30Button->setObjectName(QString::fromUtf8("g30Button"));
        g30Button->setGeometry(QRect(10, 70, 130, 21));
        g10Button = new QRadioButton(gridGroup);
        g10Button->setObjectName(QString::fromUtf8("g10Button"));
        g10Button->setGeometry(QRect(10, 30, 130, 21));
        skyBox = new QCheckBox(this);
        skyBox->setObjectName(QString::fromUtf8("skyBox"));
        skyBox->setGeometry(QRect(40, 190, 110, 21));
        fszBox = new QCheckBox(this);
        fszBox->setObjectName(QString::fromUtf8("fszBox"));
        fszBox->setGeometry(QRect(40, 230, 120, 21));
        boldBox = new QCheckBox(this);
        boldBox->setObjectName(QString::fromUtf8("boldBox"));
        boldBox->setGeometry(QRect(40, 270, 110, 21));
        nightBox = new QCheckBox(this);
        nightBox->setObjectName(QString::fromUtf8("nightBox"));
        nightBox->setGeometry(QRect(40, 310, 240, 21));
        ra4dBox = new QCheckBox(this);
        ra4dBox->setObjectName(QString::fromUtf8("ra4dBox"));
        ra4dBox->setGeometry(QRect(40, 350, 240, 21));
        azimEdit = new QLineEdit(this);
        azimEdit->setObjectName(QString::fromUtf8("azimEdit"));
        azimEdit->setGeometry(QRect(381, 218, 128, 21));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(381, 191, 128, 21));
        textLabel1->setWordWrap(false);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(421, 352, 88, 29));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(421, 319, 88, 29));
        okButton->setDefault(true);
        frequEdit = new QLineEdit(this);
        frequEdit->setObjectName(QString::fromUtf8("frequEdit"));
        frequEdit->setGeometry(QRect(280, 280, 140, 21));
        textLabel1_2 = new QLabel(this);
        textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
        textLabel1_2->setGeometry(QRect(280, 260, 230, 20));
        textLabel1_2->setWordWrap(false);
        meridianEdit = new QLineEdit(this);
        meridianEdit->setObjectName(QString::fromUtf8("meridianEdit"));
        meridianEdit->setGeometry(QRect(210, 210, 160, 21));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(210, 190, 170, 20));
        textLabel2->setWordWrap(false);
        skyGroup = new QGroupBox(this);
        skyGroup->setObjectName(QString::fromUtf8("skyGroup"));
        skyGroup->setGeometry(QRect(220, 20, 150, 220));
      // #####  skyGroup->setOrientation(Qt::Vertical);
        eastButton = new QRadioButton(skyGroup);
        eastButton->setObjectName(QString::fromUtf8("eastButton"));
        eastButton->setGeometry(QRect(10, 90, 80, 21));
        southButton = new QRadioButton(skyGroup);
        southButton->setObjectName(QString::fromUtf8("southButton"));
        southButton->setGeometry(QRect(10, 120, 90, 21));
        zenithButton = new QRadioButton(skyGroup);
        zenithButton->setObjectName(QString::fromUtf8("zenithButton"));
        zenithButton->setGeometry(QRect(10, 30, 90, 21));
        azimButton = new QRadioButton(skyGroup);
        azimButton->setObjectName(QString::fromUtf8("azimButton"));
        azimButton->setGeometry(QRect(10, 180, 110, 21));
        northButton = new QRadioButton(skyGroup);
        northButton->setObjectName(QString::fromUtf8("northButton"));
        northButton->setGeometry(QRect(10, 60, 80, 21));
        westButton = new QRadioButton(skyGroup);
        westButton->setObjectName(QString::fromUtf8("westButton"));
        westButton->setGeometry(QRect(10, 150, 90, 21));
        mapGroup = new QGroupBox(this);
        mapGroup->setObjectName(QString::fromUtf8("mapGroup"));
        mapGroup->setGeometry(QRect(200, 20, 190, 160));
    // #####    mapGroup->setOrientation(Qt::Vertical);
        psouthButton = new QRadioButton(mapGroup);
        psouthButton->setObjectName(QString::fromUtf8("psouthButton"));
        psouthButton->setGeometry(QRect(10, 90, 170, 21));
        pnorthButton = new QRadioButton(mapGroup);
        pnorthButton->setObjectName(QString::fromUtf8("pnorthButton"));
        pnorthButton->setGeometry(QRect(10, 60, 170, 21));
        pstdButton = new QRadioButton(mapGroup);
        pstdButton->setObjectName(QString::fromUtf8("pstdButton"));
        pstdButton->setGeometry(QRect(10, 30, 170, 21));
        ppwmButton = new QRadioButton(mapGroup);
        ppwmButton->setObjectName(QString::fromUtf8("ppwmButton"));
        ppwmButton->setGeometry(QRect(10, 120, 170, 21));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(azimEdit);
        textLabel1_2->setBuddy(frequEdit);
        textLabel2->setBuddy(meridianEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(skyBox, fszBox);
        QWidget::setTabOrder(fszBox, boldBox);
        QWidget::setTabOrder(boldBox, nightBox);
        QWidget::setTabOrder(nightBox, ra4dBox);
        QWidget::setTabOrder(ra4dBox, g10Button);
        QWidget::setTabOrder(g10Button, g30Button);
        QWidget::setTabOrder(g30Button, gnoButton);
        QWidget::setTabOrder(gnoButton, pstdButton);
        QWidget::setTabOrder(pstdButton, pnorthButton);
        QWidget::setTabOrder(pnorthButton, psouthButton);
        QWidget::setTabOrder(psouthButton, ppwmButton);
        QWidget::setTabOrder(ppwmButton, meridianEdit);
        QWidget::setTabOrder(meridianEdit, zenithButton);
        QWidget::setTabOrder(zenithButton, northButton);
        QWidget::setTabOrder(northButton, eastButton);
        QWidget::setTabOrder(eastButton, southButton);
        QWidget::setTabOrder(southButton, westButton);
        QWidget::setTabOrder(westButton, azimButton);
        QWidget::setTabOrder(azimButton, azimEdit);
        QWidget::setTabOrder(azimEdit, whiteButton);
        QWidget::setTabOrder(whiteButton, greyButton);
        QWidget::setTabOrder(greyButton, blackButton);
        QWidget::setTabOrder(blackButton, frequEdit);
        QWidget::setTabOrder(frequEdit, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(skyBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(zenithButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(eastButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(southButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(azimButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(westButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(northButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));

        setWindowTitle(QApplication::translate("StMapDialog", "Map Settings", 0, QApplication::UnicodeUTF8));
        backGroup->setTitle(QApplication::translate("StMapDialog", "&Background", 0, QApplication::UnicodeUTF8));
        greyButton->setText(QApplication::translate("StMapDialog", "G&rey", 0, QApplication::UnicodeUTF8));
        greyButton->setShortcut(QApplication::translate("StMapDialog", "Alt+R", 0, QApplication::UnicodeUTF8));
        whiteButton->setText(QApplication::translate("StMapDialog", "&White", 0, QApplication::UnicodeUTF8));
        whiteButton->setShortcut(QApplication::translate("StMapDialog", "Alt+W", 0, QApplication::UnicodeUTF8));
        blackButton->setText(QApplication::translate("StMapDialog", "Blac&k", 0, QApplication::UnicodeUTF8));
        blackButton->setShortcut(QApplication::translate("StMapDialog", "Alt+K", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        gridGroup->setToolTip(QApplication::translate("StMapDialog", "Coordinate grid for the world map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        gridGroup->setWhatsThis(QApplication::translate("StMapDialog", "Coordinate grid for the world map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        gridGroup->setTitle(QApplication::translate("StMapDialog", "&Grid", 0, QApplication::UnicodeUTF8));
        gnoButton->setText(QApplication::translate("StMapDialog", "&No coordinates", 0, QApplication::UnicodeUTF8));
        gnoButton->setShortcut(QApplication::translate("StMapDialog", "Alt+N", 0, QApplication::UnicodeUTF8));
        g30Button->setText(QApplication::translate("StMapDialog", "&30 degree grid", 0, QApplication::UnicodeUTF8));
        g30Button->setShortcut(QApplication::translate("StMapDialog", "Alt+3", 0, QApplication::UnicodeUTF8));
        g10Button->setText(QApplication::translate("StMapDialog", "&10 degree grid", 0, QApplication::UnicodeUTF8));
        g10Button->setShortcut(QApplication::translate("StMapDialog", "Alt+1", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        skyBox->setToolTip(QApplication::translate("StMapDialog", "Display sky map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        skyBox->setWhatsThis(QApplication::translate("StMapDialog", "Display sky map as view from specified observation site.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        skyBox->setText(QApplication::translate("StMapDialog", "&Sky Map", 0, QApplication::UnicodeUTF8));
        skyBox->setShortcut(QApplication::translate("StMapDialog", "Alt+S", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        fszBox->setToolTip(QApplication::translate("StMapDialog", "Font for bottom text.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        fszBox->setWhatsThis(QApplication::translate("StMapDialog", "Font for bottom text.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        fszBox->setText(QApplication::translate("StMapDialog", "&Large Font", 0, QApplication::UnicodeUTF8));
        fszBox->setShortcut(QApplication::translate("StMapDialog", "Alt+L", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        boldBox->setToolTip(QApplication::translate("StMapDialog", "Font for bottom text.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        boldBox->setWhatsThis(QApplication::translate("StMapDialog", "Font for bottom text.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        boldBox->setText(QApplication::translate("StMapDialog", "Bold &Font", 0, QApplication::UnicodeUTF8));
        boldBox->setShortcut(QApplication::translate("StMapDialog", "Alt+F", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        nightBox->setToolTip(QApplication::translate("StMapDialog", "Day/night shading of world map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        nightBox->setWhatsThis(QApplication::translate("StMapDialog", "If marked the night part of the world map will be shown differently from the day side. In addition satellites will be shown without trails. Likewise on skymaps no trail will be shown.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        nightBox->setText(QApplication::translate("StMapDialog", "Show Da&y/Night - No Trail", 0, QApplication::UnicodeUTF8));
        nightBox->setShortcut(QApplication::translate("StMapDialog", "Alt+Y", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        ra4dBox->setToolTip(QApplication::translate("StMapDialog", "Show coordiantes with higher precision.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        ra4dBox->setWhatsThis(QApplication::translate("StMapDialog", "Coordinates will be shown with 3 or 4 decimal digits rather than 2.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        ra4dBox->setText(QApplication::translate("StMapDialog", "RA/Dec with &4 digits", 0, QApplication::UnicodeUTF8));
        ra4dBox->setShortcut(QApplication::translate("StMapDialog", "Alt+4", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        azimEdit->setToolTip(QApplication::translate("StMapDialog", "Central azimuth for sky map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        azimEdit->setWhatsThis(QApplication::translate("StMapDialog", "If Next Pass or Last Pass is issued, the azimuth will automatically be set to be best direction to view this pass.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel1->setToolTip(QApplication::translate("StMapDialog", "Central azimuth for sky projection.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel1->setWhatsThis(QApplication::translate("StMapDialog", "If Next Pass or Last Pass is issued, the azimuth will automatically center on the best direction to view this pass.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel1->setText(QApplication::translate("StMapDialog", "C&tr.Azimuth (deg):", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StMapDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StMapDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StMapDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StMapDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel1_2->setToolTip(QApplication::translate("StMapDialog", "Frequency if Doppler to be calculated.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel1_2->setWhatsThis(QApplication::translate("StMapDialog", "If 0 Range Rate will be displayed. Otherwise this is taken as the nominal frequency in Hz and the map display shows the Doppler shift instead of the rate.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel1_2->setText(QApplication::translate("StMapDialog", "Doppler Fre&quency (Hz):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        meridianEdit->setToolTip(QApplication::translate("StMapDialog", "Central meridian of the groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        meridianEdit->setWhatsThis(QApplication::translate("StMapDialog", "This is the meridian in the middle of the groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel2->setToolTip(QApplication::translate("StMapDialog", "Central meridian of groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel2->setWhatsThis(QApplication::translate("StMapDialog", "For the world map this is the meridian which will be in the center of the map. For the stereographic projections this will be the meridian from the center to the upper side. ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel2->setText(QApplication::translate("StMapDialog", "Central Meri&dian (deg):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        skyGroup->setToolTip(QApplication::translate("StMapDialog", "Projection of the sky map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        skyGroup->setWhatsThis(QApplication::translate("StMapDialog", "Choose between a zenith projection showing the whole of the visible hemisphere or a specific  azimuthal direction. ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        skyGroup->setTitle(QApplication::translate("StMapDialog", "&Projection", 0, QApplication::UnicodeUTF8));
        eastButton->setText(QApplication::translate("StMapDialog", "&East", 0, QApplication::UnicodeUTF8));
        eastButton->setShortcut(QApplication::translate("StMapDialog", "Alt+E", 0, QApplication::UnicodeUTF8));
        southButton->setText(QApplication::translate("StMapDialog", "So&uth", 0, QApplication::UnicodeUTF8));
        southButton->setShortcut(QApplication::translate("StMapDialog", "Alt+U", 0, QApplication::UnicodeUTF8));
        zenithButton->setText(QApplication::translate("StMapDialog", "&Zenith", 0, QApplication::UnicodeUTF8));
        zenithButton->setShortcut(QApplication::translate("StMapDialog", "Alt+Z", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        azimButton->setToolTip(QApplication::translate("StMapDialog", "Custom-specified azimuth.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        azimButton->setWhatsThis(QApplication::translate("StMapDialog", "Specify the azimuth manually. If Next Pass or Last Pass is issued the best azimuth to view this pass will automatically be centered.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        azimButton->setText(QApplication::translate("StMapDialog", "&Azimuth/Auto", 0, QApplication::UnicodeUTF8));
        azimButton->setShortcut(QApplication::translate("StMapDialog", "Alt+A", 0, QApplication::UnicodeUTF8));
        northButton->setText(QApplication::translate("StMapDialog", "Nort&h", 0, QApplication::UnicodeUTF8));
        northButton->setShortcut(QApplication::translate("StMapDialog", "Alt+H", 0, QApplication::UnicodeUTF8));
        westButton->setText(QApplication::translate("StMapDialog", "Wes&t", 0, QApplication::UnicodeUTF8));
        westButton->setShortcut(QApplication::translate("StMapDialog", "Alt+T", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        mapGroup->setToolTip(QApplication::translate("StMapDialog", "Projection for the groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        mapGroup->setWhatsThis(QApplication::translate("StMapDialog", "The groundtrack map can be shown as a standard world map or a stereographic projection of the Northern or the Southern hemisphere.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        mapGroup->setTitle(QApplication::translate("StMapDialog", "&Map Projection", 0, QApplication::UnicodeUTF8));
        psouthButton->setText(QApplication::translate("StMapDialog", "Southern Hemisphere", 0, QApplication::UnicodeUTF8));
        pnorthButton->setText(QApplication::translate("StMapDialog", "Northern Hemisphere", 0, QApplication::UnicodeUTF8));
        pstdButton->setText(QApplication::translate("StMapDialog", "Simple World Map", 0, QApplication::UnicodeUTF8));
        ppwmButton->setText(QApplication::translate("StMapDialog", "Physical World Map", 0, QApplication::UnicodeUTF8));
};

void StMapDialog::showSlot()
{
  double az;
  QString s;

  if (skyBox->isChecked())
    {
      gridGroup->setEnabled(false);
      gridGroup->hide();
      g10Button->setEnabled(false);
      g10Button->hide();
      g30Button->setEnabled(false);
      g30Button->hide();
      gnoButton->setEnabled(false);
      gnoButton->hide();

      mapGroup->setEnabled(false);
      mapGroup->hide();
      pstdButton->setEnabled(false);
      pstdButton->hide();
      pnorthButton->setEnabled(false);
      pnorthButton->hide();
      psouthButton->setEnabled(false);
      psouthButton->hide();
      ppwmButton->setEnabled(false);
      ppwmButton->hide();
      meridianEdit->setEnabled(false);
      meridianEdit->hide();
      textLabel2->hide();

      skyGroup->setEnabled(true);
      skyGroup->show();
      zenithButton->setEnabled(true);
      zenithButton->show();
      northButton->setEnabled(true);
      northButton->show();
      eastButton->setEnabled(true);
      eastButton->show();
      southButton->setEnabled(true);
      southButton->show();
      westButton->setEnabled(true);
      westButton->show();
      azimButton->setEnabled(true);
      azimButton->show();
      
      s = azimEdit->text();
      az = s.toDouble();
      if (northButton->isChecked()) az = 0;
      if (eastButton->isChecked()) az = 90.0;
      if (southButton->isChecked()) az = 180.0;
      if (westButton->isChecked()) az = 270.0;
 
      if(azimButton->isChecked())
        {
          azimEdit->setEnabled(true);
          azimEdit->show();  
          textLabel1->show();         
         }
      else
         {
           s.setNum(az);
           azimEdit->setText(s);
           azimEdit->setEnabled(false);
           azimEdit->hide();
           textLabel1->hide();
           azimEdit->setEnabled(false);
          };  // azim Button
    }  // sky box is checked
  else
    {
      gridGroup->setEnabled(true);
      gridGroup->show();
      g10Button->setEnabled(true);
      g10Button->show();
      g30Button->setEnabled(true);
      g30Button->show();
      gnoButton->setEnabled(true);
      gnoButton->show();

      mapGroup->setEnabled(true);
      mapGroup->show();
      pstdButton->setEnabled(true);
      pstdButton->show();
      pnorthButton->setEnabled(true);
      pnorthButton->show();
      psouthButton->setEnabled(true);
      psouthButton->show();
      if (stmpphwm)
       {
        ppwmButton->setEnabled(true);
        ppwmButton->show();
       }
      else
       {  
        ppwmButton->setEnabled(false);
        ppwmButton->hide();
       }; 
      meridianEdit->setEnabled(true);
      meridianEdit->show();
      textLabel2->show();
      
      skyGroup->setEnabled(false);
      skyGroup->hide();
      zenithButton->setEnabled(false);
      zenithButton->hide();
      northButton->setEnabled(false);
      northButton->hide();
      eastButton->setEnabled(false);
      eastButton->hide();
      southButton->setEnabled(false);
      southButton->hide();
      westButton->setEnabled(false);
      westButton->hide();
      azimButton->setEnabled(false);
      azimButton->hide();
      azimEdit->setEnabled(false);
      azimEdit->hide();
      textLabel1->hide();
    };
}

void StMapDialog::setParams( int mgrid, int mgrey, int skyprj, int mpnight, int skymap, int ra4d, double skaz )
{
    QString s;
    
    g10Button->setChecked(mgrid == 2);
    g30Button->setChecked(mgrid == 1);
    gnoButton->setChecked(mgrid == 0);
    
    whiteButton->setChecked(mgrey == 0);
    greyButton->setChecked(mgrey == 1);
    blackButton->setChecked(mgrey == 2);
    
    zenithButton->setChecked(skyprj == 0);
    northButton->setChecked(skyprj == 1);
    eastButton->setChecked(skyprj == 2);
    southButton->setChecked(skyprj == 3);
    westButton->setChecked(skyprj == 4);
    azimButton->setChecked(skyprj == 5);
    
    ra4dBox->setChecked(ra4d == 1);
    nightBox->setChecked(mpnight == 1);
    skyBox->setChecked(skymap == 1);
   
    s.setNum(skaz);
    azimEdit->setText(s);
}

void StMapDialog::getParams( int &mgrid, int &mgrey, int &skyprj, int &mpnight, int &skymap, int &ra4d, double &skaz )
{
    QString s;
    
    mgrid = 0;
    if (g10Button->isChecked()) mgrid = 2;
    if (g30Button->isChecked()) mgrid = 1;
    
    mgrey = 0;
    if (greyButton->isChecked()) mgrey = 1;
    if (blackButton->isChecked()) mgrey = 2;
 
    skyprj = 0;
    if (northButton->isChecked()) skyprj = 1;
    if (eastButton->isChecked()) skyprj = 2;
    if (southButton->isChecked()) skyprj = 3;
    if (westButton->isChecked()) skyprj = 4;
    if (azimButton->isChecked()) skyprj = 5;
    
    s = azimEdit->text();
    skaz = s.toDouble();
    
    if (ra4dBox->isChecked()) ra4d = 1;
    else ra4d = 0;
    if (skyBox->isChecked()) skymap = 1;
    else skymap = 0;
    if (nightBox->isChecked()) mpnight = 1;
    else mpnight = 0;
}

void StMapDialog::getParamF( int &mfsz, bool &bf, int &mapprj, double &centmer, double &frequ )
{
  QString s;
  
  if (fszBox->isChecked()) mfsz = 12;
  else mfsz = 10;
  bf = boldBox->isChecked();
  mapprj = 0;
  if (pnorthButton->isChecked()) mapprj = 1;
  if (psouthButton->isChecked()) mapprj = 2;
  if (ppwmButton->isChecked()) mapprj = 3;
  s = meridianEdit->text();
  centmer = s.toDouble();
  s = frequEdit->text();
  frequ = s.toDouble();
}

void StMapDialog::setParamF( int mfsz, bool &bf, int mapprj, double centmer, double frequ, bool phwm )
{
  QString s;
  char frdat[20];
  
  boldBox->setChecked(bf);
  fszBox->setChecked(mfsz == 12);

  s.setNum(centmer);
  meridianEdit->setText(s);
  sprintf(frdat, "%g", frequ);
  s = frdat;
  frequEdit->setText(s);
  pstdButton->setChecked(mapprj == 0);
  pnorthButton->setChecked(mapprj == 1);
  psouthButton->setChecked(mapprj == 2);
  ppwmButton->setChecked(mapprj == 3);
  stmpphwm = phwm;

  showSlot();
}
