/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "ststatedialog.h"
#include "satcalview.h"
#include "attlib.h"
#include "astrolib.h"
#include "stdatedialog.h"

int stdnmflg, stdtmje;

StStateDialog::StStateDialog()
{
        setObjectName(QString::fromUtf8("StStateDialog"));
        resize(567, 477);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(20, 10, 140, 20));
        textLabel1->setWordWrap(false);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(20, 30, 110, 21));
        textLabel2_2 = new QLabel(this);
        textLabel2_2->setObjectName(QString::fromUtf8("textLabel2_2"));
        textLabel2_2->setGeometry(QRect(160, 10, 240, 20));
        textLabel2_2->setWordWrap(false);
        dayEdit = new QLineEdit(this);
        dayEdit->setObjectName(QString::fromUtf8("dayEdit"));
        dayEdit->setGeometry(QRect(160, 30, 230, 21));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(20, 70, 160, 20));
        textLabel2->setWordWrap(false);
        r0Edit = new QLineEdit(this);
        r0Edit->setObjectName(QString::fromUtf8("r0Edit"));
        r0Edit->setGeometry(QRect(20, 90, 160, 21));
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(200, 70, 160, 20));
        textLabel3->setWordWrap(false);
        r1Edit = new QLineEdit(this);
        r1Edit->setObjectName(QString::fromUtf8("r1Edit"));
        r1Edit->setGeometry(QRect(200, 90, 160, 21));
        textLabel4 = new QLabel(this);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setGeometry(QRect(380, 70, 160, 20));
        textLabel4->setWordWrap(false);
        r2Edit = new QLineEdit(this);
        r2Edit->setObjectName(QString::fromUtf8("r2Edit"));
        r2Edit->setGeometry(QRect(380, 90, 160, 21));
        textLabel5 = new QLabel(this);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setGeometry(QRect(20, 130, 160, 20));
        textLabel5->setWordWrap(false);
        v0Edit = new QLineEdit(this);
        v0Edit->setObjectName(QString::fromUtf8("v0Edit"));
        v0Edit->setGeometry(QRect(20, 150, 160, 21));
        textLabel6 = new QLabel(this);
        textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
        textLabel6->setGeometry(QRect(200, 130, 160, 20));
        textLabel6->setWordWrap(false);
        v1Edit = new QLineEdit(this);
        v1Edit->setObjectName(QString::fromUtf8("v1Edit"));
        v1Edit->setGeometry(QRect(200, 150, 160, 21));
        textLabel7 = new QLabel(this);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setGeometry(QRect(380, 130, 160, 20));
        textLabel7->setWordWrap(false);
        v2Edit = new QLineEdit(this);
        v2Edit->setObjectName(QString::fromUtf8("v2Edit"));
        v2Edit->setGeometry(QRect(380, 150, 160, 21));
        fb107Edit = new QLineEdit(this);
        fb107Edit->setObjectName(QString::fromUtf8("fb107Edit"));
        fb107Edit->setGeometry(QRect(300, 210, 120, 21));
        f107Edit = new QLineEdit(this);
        f107Edit->setObjectName(QString::fromUtf8("f107Edit"));
        f107Edit->setGeometry(QRect(300, 270, 120, 21));
        kpEdit = new QLineEdit(this);
        kpEdit->setObjectName(QString::fromUtf8("kpEdit"));
        kpEdit->setGeometry(QRect(300, 330, 120, 21));
        amEdit = new QLineEdit(this);
        amEdit->setObjectName(QString::fromUtf8("amEdit"));
        amEdit->setGeometry(QRect(20, 360, 160, 21));
        cdEdit = new QLineEdit(this);
        cdEdit->setObjectName(QString::fromUtf8("cdEdit"));
        cdEdit->setGeometry(QRect(20, 420, 120, 21));
        crEdit = new QLineEdit(this);
        crEdit->setObjectName(QString::fromUtf8("crEdit"));
        crEdit->setGeometry(QRect(190, 420, 120, 21));
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(450, 410, 90, 29));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(450, 380, 90, 29));
        okButton->setDefault(true);
        fb107Label = new QLabel(this);
        fb107Label->setObjectName(QString::fromUtf8("fb107Label"));
        fb107Label->setGeometry(QRect(300, 190, 210, 20));
        fb107Label->setWordWrap(false);
        f107Label = new QLabel(this);
        f107Label->setObjectName(QString::fromUtf8("f107Label"));
        f107Label->setGeometry(QRect(300, 250, 200, 20));
        f107Label->setWordWrap(false);
        kpLabel = new QLabel(this);
        kpLabel->setObjectName(QString::fromUtf8("kpLabel"));
        kpLabel->setGeometry(QRect(300, 310, 200, 20));
        kpLabel->setWordWrap(false);
        amLabel = new QLabel(this);
        amLabel->setObjectName(QString::fromUtf8("amLabel"));
        amLabel->setGeometry(QRect(20, 340, 180, 20));
        amLabel->setWordWrap(false);
        cdLabel = new QLabel(this);
        cdLabel->setObjectName(QString::fromUtf8("cdLabel"));
        cdLabel->setGeometry(QRect(20, 400, 160, 20));
        cdLabel->setWordWrap(false);
        crLabel = new QLabel(this);
        crLabel->setObjectName(QString::fromUtf8("crLabel"));
        crLabel->setGeometry(QRect(190, 400, 160, 20));
        crLabel->setWordWrap(false);
        timeButton = new QPushButton(this);
        timeButton->setObjectName(QString::fromUtf8("timeButton"));
        timeButton->setGeometry(QRect(450, 20, 90, 29));
        coordGroup = new QGroupBox(this);
        coordGroup->setObjectName(QString::fromUtf8("coordGroup"));
        coordGroup->setGeometry(QRect(20, 190, 220, 140));
      // ####  coordGroup->setOrientation(Qt::Vertical);
        todButton = new QRadioButton(coordGroup);
        todButton->setObjectName(QString::fromUtf8("todButton"));
        todButton->setGeometry(QRect(10, 20, 190, 21));
        j2000Button = new QRadioButton(coordGroup);
        j2000Button->setObjectName(QString::fromUtf8("j2000Button"));
        j2000Button->setGeometry(QRect(10, 80, 190, 21));
        efixButton = new QRadioButton(coordGroup);
        efixButton->setObjectName(QString::fromUtf8("efixButton"));
        efixButton->setGeometry(QRect(10, 110, 190, 21));
        mdateButton = new QRadioButton(coordGroup);
        mdateButton->setObjectName(QString::fromUtf8("mdateButton"));
        mdateButton->setGeometry(QRect(10, 50, 190, 21));
        cstateBox = new QCheckBox(this);
        cstateBox->setObjectName(QString::fromUtf8("cstateBox"));
        cstateBox->setGeometry(QRect(210, 360, 230, 21));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(yearEdit);
        textLabel2_2->setBuddy(dayEdit);
        textLabel2->setBuddy(r0Edit);
        textLabel3->setBuddy(r1Edit);
        textLabel4->setBuddy(r2Edit);
        textLabel5->setBuddy(v0Edit);
        textLabel6->setBuddy(v1Edit);
        textLabel7->setBuddy(v2Edit);
        fb107Label->setBuddy(fb107Edit);
        f107Label->setBuddy(f107Edit);
        kpLabel->setBuddy(kpEdit);
        amLabel->setBuddy(amEdit);
        cdLabel->setBuddy(cdEdit);
        crLabel->setBuddy(crEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(yearEdit, dayEdit);
        QWidget::setTabOrder(dayEdit, timeButton);
        QWidget::setTabOrder(timeButton, r0Edit);
        QWidget::setTabOrder(r0Edit, r1Edit);
        QWidget::setTabOrder(r1Edit, r2Edit);
        QWidget::setTabOrder(r2Edit, v0Edit);
        QWidget::setTabOrder(v0Edit, v1Edit);
        QWidget::setTabOrder(v1Edit, v2Edit);
        QWidget::setTabOrder(v2Edit, todButton);
        QWidget::setTabOrder(todButton, mdateButton);
        QWidget::setTabOrder(mdateButton, j2000Button);
        QWidget::setTabOrder(j2000Button, efixButton);
        QWidget::setTabOrder(efixButton, fb107Edit);
        QWidget::setTabOrder(fb107Edit, f107Edit);
        QWidget::setTabOrder(f107Edit, kpEdit);
        QWidget::setTabOrder(kpEdit, amEdit);
        QWidget::setTabOrder(amEdit, cdEdit);
        QWidget::setTabOrder(cdEdit, crEdit);
        QWidget::setTabOrder(crEdit, cstateBox);
        QWidget::setTabOrder(cstateBox, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(timeButton, SIGNAL(clicked()), this, SLOT(timeSlot()));
        connect(coordGroup, SIGNAL(toggled(bool)), this, SLOT(refSlot()));
        connect(efixButton, SIGNAL(toggled(bool)), this, SLOT(refSlot()));
        connect(j2000Button, SIGNAL(toggled(bool)), this, SLOT(refSlot()));
        connect(todButton, SIGNAL(toggled(bool)), this, SLOT(refSlot()));
        connect(mdateButton, SIGNAL(toggled(bool)), this, SLOT(refSlot()));

        setWindowTitle(QApplication::translate("StStateDialog", "State Vector", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("StStateDialog", "Year of E&poch:", 0, QApplication::UnicodeUTF8));
        textLabel2_2->setText(QApplication::translate("StStateDialog", "Day of Year. &Fraction of Day:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("StStateDialog", "Position &X (km):", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("StStateDialog", "Position &Y (km):", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("StStateDialog", "Position &Z (km):", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("StStateDialog", "&Velocity X (km/s):", 0, QApplication::UnicodeUTF8));
        textLabel6->setText(QApplication::translate("StStateDialog", "V&elocity Y (km/s):", 0, QApplication::UnicodeUTF8));
        textLabel7->setText(QApplication::translate("StStateDialog", "Ve&locity Z (km/s):", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StStateDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StStateDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StStateDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StStateDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        fb107Label->setToolTip(QApplication::translate("StStateDialog", "90 day F10.7 flux.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        fb107Label->setWhatsThis(QApplication::translate("StStateDialog", "90 day average of the F10.7 solar flux. Typical values are 70 for solar minimum and 240 for maximum.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        fb107Label->setText(QApplication::translate("StStateDialog", "Average Solar Flux (F10.&7):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        f107Label->setToolTip(QApplication::translate("StStateDialog", "Daily F10.7 solar flux.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        f107Label->setWhatsThis(QApplication::translate("StStateDialog", "Typical values are 70 for solar minimum and 330 for maximum.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        f107Label->setText(QApplication::translate("StStateDialog", "Daily Solar Flux (F&10.7):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        kpLabel->setToolTip(QApplication::translate("StStateDialog", "Geomagnetic K-index.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        kpLabel->setWhatsThis(QApplication::translate("StStateDialog", "Typical values are 0 for minimum and 8 for maximum.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        kpLabel->setText(QApplication::translate("StStateDialog", "Geomagnetic &Kp Index:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        amLabel->setToolTip(QApplication::translate("StStateDialog", "Area to mass ratio.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        amLabel->setWhatsThis(QApplication::translate("StStateDialog", "Cross-sectional area divided by S/C mass.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        amLabel->setText(QApplication::translate("StStateDialog", "&Area/Mass (m^2/kg):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        cdLabel->setToolTip(QApplication::translate("StStateDialog", "Aerodynamic Cd coefficient.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        cdLabel->setWhatsThis(QApplication::translate("StStateDialog", "Typical values are 1.5 to 3", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        cdLabel->setText(QApplication::translate("StStateDialog", "&Drag Coefficient:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        crLabel->setToolTip(QApplication::translate("StStateDialog", "Radiation pressure coefficient Cr.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        crLabel->setWhatsThis(QApplication::translate("StStateDialog", "Typical values are 1.2 to 1.9.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        crLabel->setText(QApplication::translate("StStateDialog", "&Radiation Pressure:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        timeButton->setToolTip(QApplication::translate("StStateDialog", "Edit the date of epoch.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        timeButton->setWhatsThis(QApplication::translate("StStateDialog", "Edit the date of epoch via the normal Date/Time dialog.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        timeButton->setText(QApplication::translate("StStateDialog", "Edit &Time", 0, QApplication::UnicodeUTF8));
        timeButton->setShortcut(QApplication::translate("StStateDialog", "Alt+T", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        coordGroup->setToolTip(QApplication::translate("StStateDialog", "Specify the coordinate system used.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        coordGroup->setWhatsThis(QApplication::translate("StStateDialog", "You can choose between True of Date, Mean of Date, J2000 and Earth Fixed coordinates.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        coordGroup->setTitle(QApplication::translate("StStateDialog", "Coordi&nates are in", 0, QApplication::UnicodeUTF8));
        todButton->setText(QApplication::translate("StStateDialog", "Tr&ue of Date", 0, QApplication::UnicodeUTF8));
        todButton->setShortcut(QApplication::translate("StStateDialog", "Alt+U", 0, QApplication::UnicodeUTF8));
        j2000Button->setText(QApplication::translate("StStateDialog", "&J2000 (J2K Cartesian)", 0, QApplication::UnicodeUTF8));
        j2000Button->setShortcut(QApplication::translate("StStateDialog", "Alt+J", 0, QApplication::UnicodeUTF8));
        efixButton->setText(QApplication::translate("StStateDialog", "Eart&h Fixed", 0, QApplication::UnicodeUTF8));
        efixButton->setShortcut(QApplication::translate("StStateDialog", "Alt+H", 0, QApplication::UnicodeUTF8));
        mdateButton->setText(QApplication::translate("StStateDialog", "&Mean Equator of Date", 0, QApplication::UnicodeUTF8));
        mdateButton->setShortcut(QApplication::translate("StStateDialog", "Alt+M", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        cstateBox->setToolTip(QApplication::translate("StStateDialog", "Set the current state vector to the epoch state.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        cstateBox->setWhatsThis(QApplication::translate("StStateDialog", "Mark this if you want to start again with the integration close to the epoch with the new epoch vector as given above. If you want to continue your integration at the current spot (maybe you only changed the flux values) unmark this box. Temporarily unmark this box if you want to change the reference system without correspondingly changing the elements.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        cstateBox->setText(QApplication::translate("StStateDialog", "Reset Curre&nt State Vector", 0, QApplication::UnicodeUTF8));
        cstateBox->setShortcut(QApplication::translate("StStateDialog", "Alt+N", 0, QApplication::UnicodeUTF8));
};

void StStateDialog::setParams(bool nmflg, int year, double hour, double r0, double r1, double r2,
           double v0, double v1, double v2, double ecc)
{
 double rr0, rr1, rr2, vv0, vv1, vv2, day;
 double f107, fb107, kp, pcr, pcd, pam, mjep;
 int dy, mt, yr;
 double hr;
 QString s1;
 char cdat[25];

 stdnmflg = nmflg;
 rr0 = r0;
 rr1 = r1;
 rr2 = r2;
 vv0 = v0;
 vv1 = v1;
 vv2 = v2;
 
 s1.setNum(year);
 yearEdit->setText(s1);
 sprintf (cdat,"%12.8lf", hour);
 s1 = cdat;
 dayEdit->setText(s1);
  
 vsGetState(nmflg, f107, fb107, kp, stdtmje, pcr, pcd, pam,
            rr0, rr1, rr2, vv0, vv1, vv2, mjep);

 if (nmflg)
  {
   s1.setNum(f107);
   f107Edit->setText(s1);
   s1.setNum(fb107);
   fb107Edit->setText(s1);
   s1.setNum(kp);
   kpEdit->setText(s1);
   s1.setNum(pcr);
   crEdit->setText(s1);
   s1.setNum(pcd);
   cdEdit->setText(s1);
   s1.setNum(pam);
   amEdit->setText(s1);
   if (ecc >= 1.0)
    {
     caldat (mjep, dy, mt, yr, hr);
	   hr = mjep - mjd(0,1,yr,0);
     s1.setNum(yr);
     yearEdit->setText(s1);
     sprintf (cdat,"%12.8lf", hr);
     s1 = cdat;
     dayEdit->setText(s1);
    };  
   cstateBox->setChecked(true);
  }
 else
  {
   f107Label->hide();
   f107Edit->setEnabled(false);
   f107Edit->hide();
   fb107Label->hide();
   fb107Edit->setEnabled(false);
   fb107Edit->hide();
   kpLabel->hide();
   kpEdit->setEnabled(false);
   kpEdit->hide();
   crLabel->hide();
   crEdit->setEnabled(false);
   crEdit->hide();
   cdLabel->hide();
   cdEdit->setEnabled(false);
   cdEdit->hide();
   amLabel->hide();
   amEdit->setEnabled(false);
   amEdit->hide();
   cstateBox->setEnabled(false);
   cstateBox->hide();
  };             

 if (stdtmje != 1)
  {
   day = mjd(0,1,year,0) + hour;
   vsRefState(1, stdtmje, day, rr0, rr1, rr2, vv0, vv1, vv2);
  }; 
 
 sprintf (cdat,"%20.12le", rr0);
 s1 = cdat;
 r0Edit->setText(s1);
 sprintf (cdat,"%20.12le", rr1);
 s1 = cdat;
 r1Edit->setText(s1);
 sprintf (cdat,"%20.12le", rr2);
 s1 = cdat;
 r2Edit->setText(s1);
 sprintf (cdat,"%20.12le", vv0);
 s1 = cdat;
 v0Edit->setText(s1);
 sprintf (cdat,"%20.12le", vv1);
 s1 = cdat;
 v1Edit->setText(s1);
 sprintf (cdat,"%20.12le", vv2);
 s1 = cdat;
 v2Edit->setText(s1);

 if (stdtmje == 0) todButton->setChecked(true);
 if (stdtmje == 1) mdateButton->setChecked(true);
 if (stdtmje == 2) j2000Button->setChecked(true);
 if (stdtmje == 3) efixButton->setChecked(true);
}

void StStateDialog::getParams(int& year, double& day, double &r0, double &r1, double &r2, double &v0, double &v1, double &v2)
{
 double f107, fb107, kp, pcr, pcd, pam, t;
 bool cstate;
 QString s;

 f107 = 0;
 fb107 = 0;
 kp = 0;
 pcr = 0;
 pcd = 0;
 pam = 0;
 
 s = yearEdit->text();
 year = s.toInt();
 s = dayEdit->text();
 day = s.toDouble();
 s = r0Edit->text();
 r0 = s.toDouble();
 s = r1Edit->text();
 r1 = s.toDouble();
 s = r2Edit->text();
 r2 = s.toDouble();
 s = v0Edit->text();
 v0 = s.toDouble();
 s = v1Edit->text();
 v1 = s.toDouble();
 s = v2Edit->text();
 v2 = s.toDouble();
 cstate = false;

 if (stdnmflg)
  {
   s = f107Edit->text();
   f107 = s.toDouble();
   s = fb107Edit->text();
   fb107 = s.toDouble();
   s = kpEdit->text();
   kp = s.toDouble();
   s = crEdit->text();
   pcr = s.toDouble();
   s = cdEdit->text();
   pcd = s.toDouble();
   s = amEdit->text();
   pam = s.toDouble();
   cstate = cstateBox->isChecked();
  };

 if (stdtmje != 1)
  { 
   t = mjd(0,1,year,0) + day;       
   vsRefState(stdtmje, 1, t, r0, r1, r2, v0, v1, v2);
  }; 
 vsPutState(stdnmflg, year, day, f107, fb107, kp, stdtmje, pcr, pcd, pam,
            r0, r1, r2, v0, v1, v2, cstate);
}

void StStateDialog::timeSlot()
{
  int year, month, day, hour, minute, second, tzauto;
  double tzn, durt, rtoff;
  QString s;
  char sndat[32];

  StDateDialog *dlg = new StDateDialog();
  s = yearEdit->text();
  durt = s.toDouble();
  s = dayEdit->text();
  tzn = s.toDouble();
	durt = mjd(0,1,int(durt),0) + tzn;
  caldat (durt, day, month, year, tzn);
  dms (tzn, hour, minute, durt);
  second = int(durt+0.001);
  if (second == 60)
   {
    second = 0;
    minute++; 
   };  
  dlg->setParams(year, month, day, hour, minute, second, 0.0, 0, -3.1, 0);
  if (dlg->exec())
   {
    dlg->getParams(year, month, day, hour, minute, second, tzn, tzauto, durt, rtoff);
    tzn = double(hour) -tzn + double(minute)/60.0 + double(second)/3600.0;
    durt = mjd(day, month, year, tzn);
	  tzn = durt - mjd(0,1,year,0);
    s.setNum(year);
    yearEdit->setText(s);
    sprintf (sndat,"%12.8lf", tzn);
    s = sndat;
    dayEdit->setText(s);
   }
}

void StStateDialog::refSlot()
{
 int tmjeold, year;
 double day, r0, r1, r2, v0, v1, v2;
 QString s;
 char cdat[25];

 tmjeold = stdtmje;  
 stdtmje = 0;
 if (mdateButton->isChecked()) stdtmje = 1;
 if (j2000Button->isChecked()) stdtmje = 2;
 if (efixButton->isChecked()) stdtmje = 3;

 if (tmjeold == stdtmje) return;

 s = yearEdit->text();
 year = s.toInt();
 s = dayEdit->text();
 day = s.toDouble();
 day = mjd(0,1,year,0) + day;
 
 s = r0Edit->text();
 r0 = s.toDouble();
 s = r1Edit->text();
 r1 = s.toDouble();
 s = r2Edit->text();
 r2 = s.toDouble();
 s = v0Edit->text();
 v0 = s.toDouble();
 s = v1Edit->text();
 v1 = s.toDouble();
 s = v2Edit->text();
 v2 = s.toDouble();

 if (cstateBox->isChecked())
    vsRefState(tmjeold, stdtmje, day, r0, r1, r2, v0, v1, v2);

 sprintf (cdat,"%20.12le", r0);
 s = cdat;
 r0Edit->setText(s);
 sprintf (cdat,"%20.12le", r1);
 s = cdat;
 r1Edit->setText(s);
 sprintf (cdat,"%20.12le", r2);
 s = cdat;
 r2Edit->setText(s);
 sprintf (cdat,"%20.12le", v0);
 s = cdat;
 v0Edit->setText(s);
 sprintf (cdat,"%20.12le", v1);
 s = cdat;
 v1Edit->setText(s);
 sprintf (cdat,"%20.12le", v2);
 s = cdat;
 v2Edit->setText(s);
}
